| LicenseSpring Management .Net SDK 1.16.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LicenseSpring.ProductService Class Reference

Implements `IProductService` interface. More...

Inheritance diagram for LicenseSpring.ProductService:

## Public Member Functions
InstallationFile | CreateInstallationFile (CreateInstallationFileDto dto)
  | Creates a new installation file. Parameters
  dto | Dto with information about new installation file.
ProductCustomField | CreateProductCustomField (CreateProductCustomFieldDto dto)
  | Creates a new product custom field. Parameters
  dto | Dto with information about new product custom field.
ProductFeature | CreateProductFeature (CreateProductFeatureDto dto)
  | Creates a new product feature. Parameters
  dto | Dto with information about new product feature.
string | DeleteProductCustomField (uint fieldId)
  | Deletes product custom field. Parameters
  fieldId | The Id of the product custom field that will be deleted.
string | DeleteProductFeature (ulong featureId)
  | Deletes product feature. Parameters
  featureId | The Id of the product feature that will be deleted.
BundleProduct[] | ListBundlesForAProduct (ulong productId)
  | Show all bundles for a Product the requesting manager has access permissions to. Parameters
  productId | Id of the product.
InstallationFile[] | ListInstallationFiles (ListInstallationFilesRequestDto dto, out uint count)
  | Returns installation files. Parameters
  dto | Data transfer object that is used for searching through installation files.
  count | Quantity of product installation files, use for iteration of the result pages.
ProductCustomField[] | ListProductCustomFields (ListProductFieldsRequestDto dto, out uint Count)
  | Returns product custom fields. Parameters
  dto | Data transfer object that is used for searching through all product custom fields.
  count | Quantity of product custom fields, use for iteration of the result pages.
ProductFeature[] | ListProductFeatures (ListProductFieldsRequestDto dto, out uint count)
  | Returns product features. Parameters
  dto | Data transfer object that is used for searching through product features.
  count | Quantity of product features, use for iteration of the result pages.
Product[] | ListProducts (ListProductsRequestDto dto, out uint Count)
  | Returns products. Parameters
  dto | Data transfer object that is used for searching through all products.
  count | Quantity of products, use for iteration of the result pages.
BundleProduct[] | ListProductsInABundle (ulong bundleId)
  | Show all Products in a bundle the requesting manager has access permissions to. Parameters
  bundleId | Id of the product bundle.
ProductCustomField | UpdateProductCustomField (CreateProductCustomFieldDto dto, uint fieldId)
  | Updates product custom field. Parameters
  dto | Dto with information about product custom field that will be updated.
  fieldId | The Id of the product custom field that will be updated.
ProductFeature | UpdateProductFeature (CreateProductFeatureDto dto, ulong featureId)
  | Updates product feature. Parameters
  dto | Dto with information about product feature that will be updated.
  featureId | The Id of the product feature that will be updated.
Public Member Functions inherited from LicenseSpring.BaseService
void | Initialize (ManagementConfiguration configuration)
  | Initialize management service with given configuration. Parameters
  configuration | ManagementConfiguration object to use
  Exceptions
  System.ArgumentNullException | Thrown when configuration is null
bool | IsInitialized ()
| Check whether management service has been initialized. Returns True if management service has been initialized and ready to use or false otherwise
bool | IsOnline (bool throwExceptions=false)
  | Helper method, it checks connection to the LicenseSpring platform. Parameters
  throwExceptions | Boolean value indicating whether this method should throw exceptions, by default it's false.
  Returns True if SDK is able to connect to the LicenseSpring platform and false otherwise. Exceptions
  System.InvalidOperationException | Thrown when license manager is not initialized
  LicenseSpring.NetworkException | In case of network errors, e.g. no Internet connection or operation timed out.

## Detailed Description

Implements `IProductService` interface.

## Member Function Documentation

## ◆ CreateInstallationFile()

InstallationFile LicenseSpring.ProductService.CreateInstallationFile | ( | CreateInstallationFileDto | dto | ) |

Creates a new installation file.

Parameters

  dto | Dto with information about new installation file.

Implements LicenseSpring.IProductService.

## ◆ CreateProductCustomField()

ProductCustomField LicenseSpring.ProductService.CreateProductCustomField | ( | CreateProductCustomFieldDto | dto | ) |

Creates a new product custom field.

Parameters

  dto | Dto with information about new product custom field.

Implements LicenseSpring.IProductService.

## ◆ CreateProductFeature()

ProductFeature LicenseSpring.ProductService.CreateProductFeature | ( | CreateProductFeatureDto | dto | ) |

Creates a new product feature.

Parameters

  dto | Dto with information about new product feature.

Implements LicenseSpring.IProductService.

## ◆ DeleteProductCustomField()

string LicenseSpring.ProductService.DeleteProductCustomField | ( | uint | fieldId | ) |

Deletes product custom field.

Parameters

  fieldId | The Id of the product custom field that will be deleted.

Implements LicenseSpring.IProductService.

## ◆ DeleteProductFeature()

string LicenseSpring.ProductService.DeleteProductFeature | ( | ulong | featureId | ) |

Deletes product feature.

Parameters

  featureId | The Id of the product feature that will be deleted.

Implements LicenseSpring.IProductService.

## ◆ ListBundlesForAProduct()

BundleProduct[] LicenseSpring.ProductService.ListBundlesForAProduct | ( | ulong | productId | ) |

Show all bundles for a Product the requesting manager has access permissions to.

Parameters

  productId | Id of the product.

Implements LicenseSpring.IProductService.

## ◆ ListInstallationFiles()

InstallationFile[] LicenseSpring.ProductService.ListInstallationFiles | ( | ListInstallationFilesRequestDto | dto,
|  | out uint | count
| ) |  |

Returns installation files.

Parameters

  dto | Data transfer object that is used for searching through installation files.
  count | Quantity of product installation files, use for iteration of the result pages.

Implements LicenseSpring.IProductService.

## ◆ ListProductCustomFields()

ProductCustomField[] LicenseSpring.ProductService.ListProductCustomFields | ( | ListProductFieldsRequestDto | dto,
|  | out uint | Count
| ) |  |

Returns product custom fields.

Parameters

  dto | Data transfer object that is used for searching through all product custom fields.
  count | Quantity of product custom fields, use for iteration of the result pages.

Implements LicenseSpring.IProductService.

## ◆ ListProductFeatures()

ProductFeature[] LicenseSpring.ProductService.ListProductFeatures | ( | ListProductFieldsRequestDto | dto,
|  | out uint | count
| ) |  |

Returns product features.

Parameters

  dto | Data transfer object that is used for searching through product features.
  count | Quantity of product features, use for iteration of the result pages.

Implements LicenseSpring.IProductService.

## ◆ ListProducts()

Product[] LicenseSpring.ProductService.ListProducts | ( | ListProductsRequestDto | dto,
|  | out uint | Count
| ) |  |

Returns products.

Parameters

  dto | Data transfer object that is used for searching through all products.
  count | Quantity of products, use for iteration of the result pages.

Implements LicenseSpring.IProductService.

## ◆ ListProductsInABundle()

BundleProduct[] LicenseSpring.ProductService.ListProductsInABundle | ( | ulong | bundleId | ) |

Show all Products in a bundle the requesting manager has access permissions to.

Parameters

  bundleId | Id of the product bundle.

Implements LicenseSpring.IProductService.

## ◆ UpdateProductCustomField()

ProductCustomField LicenseSpring.ProductService.UpdateProductCustomField | ( | CreateProductCustomFieldDto | dto,
|  | uint | fieldId
| ) |  |

Updates product custom field.

Parameters

  dto | Dto with information about product custom field that will be updated.
  fieldId | The Id of the product custom field that will be updated.

Implements LicenseSpring.IProductService.

## ◆ UpdateProductFeature()

ProductFeature LicenseSpring.ProductService.UpdateProductFeature | ( | CreateProductFeatureDto | dto,
|  | ulong | featureId
| ) |  |

Updates product feature.

Parameters

  dto | Dto with information about product feature that will be updated.
  featureId | The Id of the product feature that will be updated.

Implements LicenseSpring.IProductService.

The documentation for this class was generated from the following file:

- ProductService.cs